summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaciej Mrozowski <reavertm@gentoo.org>2011-01-13 00:31:30 +0000
committerMaciej Mrozowski <reavertm@gentoo.org>2011-01-13 00:31:30 +0000
commit1553b85d264373db687aa80fd4cd8f01633c8556 (patch)
treee482f0cbe20875e0ee205236703336433bf0d1a6 /media-libs/coin/files
parentVersion bump. (diff)
downloadgentoo-2-1553b85d264373db687aa80fd4cd8f01633c8556.tar.gz
gentoo-2-1553b85d264373db687aa80fd4cd8f01633c8556.tar.bz2
gentoo-2-1553b85d264373db687aa80fd4cd8f01633c8556.zip
Add patch from bug 291888, credits to Tom Fredrik Blenning Klaussen (upstream).
(Portage version: 2.2.0_alpha15/cvs/Linux x86_64)
Diffstat (limited to 'media-libs/coin/files')
-rw-r--r--media-libs/coin/files/coin-3.1.0-wrap-msvc-wine-fix.patch589
1 files changed, 589 insertions, 0 deletions
diff --git a/media-libs/coin/files/coin-3.1.0-wrap-msvc-wine-fix.patch b/media-libs/coin/files/coin-3.1.0-wrap-msvc-wine-fix.patch
new file mode 100644
index 000000000000..fddbf3c52fa2
--- /dev/null
+++ b/media-libs/coin/files/coin-3.1.0-wrap-msvc-wine-fix.patch
@@ -0,0 +1,589 @@
+diff -r 4fcac12559f8 aclocal.m4
+--- a/aclocal.m4 Tue Jun 02 13:03:34 2009 +0000
++++ b/aclocal.m4 Mon Jan 11 18:23:22 2010 +0100
+@@ -603,47 +603,53 @@
+ : ${BUILD_WITH_MSVC=false}
+ if $sim_ac_try_msvc; then
+ if test -z "$CC" -a -z "$CXX"; then
+- sim_ac_wrapmsvc=`cd $ac_aux_dir; pwd`/wrapmsvc.exe
+- echo "$as_me:$LINENO: sim_ac_wrapmsvc=$sim_ac_wrapmsvc" >&AS_MESSAGE_LOG_FD
+ AC_MSG_CHECKING([setup for wrapmsvc.exe])
+- if $sim_ac_wrapmsvc >&AS_MESSAGE_LOG_FD 2>&AS_MESSAGE_LOG_FD; then
+- m4_ifdef([$0_VISITED],
+- [AC_FATAL([Macro $0 invoked multiple times])])
+- m4_define([$0_VISITED], 1)
+- CC=$sim_ac_wrapmsvc
+- CXX=$sim_ac_wrapmsvc
+- export CC CXX
+- BUILD_WITH_MSVC=true
+- AC_MSG_RESULT([working])
+-
+- # Robustness: we had multiple reports of Cygwin ''link'' getting in
+- # the way of MSVC link.exe, so do a little sanity check for that.
+- #
+- # FIXME: a better fix would be to call link.exe with full path from
+- # the wrapmsvc wrapper, to avoid any trouble with this -- I believe
+- # that should be possible, using the dirname of the full cl.exe path.
+- # 20050714 mortene.
+- sim_ac_check_link=`type link`
+- AC_MSG_CHECKING([whether Cygwin's /usr/bin/link shadows MSVC link.exe])
+- case x"$sim_ac_check_link" in
+- x"link is /usr/bin/link"* )
+- AC_MSG_RESULT(yes)
+- SIM_AC_ERROR([cygwin-link])
++ case $host in
++ *-cygwin)
++ valid_system=true
+ ;;
+ * )
+- AC_MSG_RESULT(no)
++ valid_system=false
+ ;;
+- esac
+-
+- else
+- case $host in
+- *-cygwin)
++ esac
++ if $valid_system; then
++ sim_ac_wrapmsvc=`cd $ac_aux_dir; pwd`/wrapmsvc.exe
++ echo "$as_me:$LINENO: sim_ac_wrapmsvc=$sim_ac_wrapmsvc" >&AS_MESSAGE_LOG_FD
++ if $sim_ac_wrapmsvc >&AS_MESSAGE_LOG_FD 2>&AS_MESSAGE_LOG_FD; then
++ m4_ifdef([$0_VISITED],
++ [AC_FATAL([Macro $0 invoked multiple times])])
++ m4_define([$0_VISITED], 1)
++ CC=$sim_ac_wrapmsvc
++ CXX=$sim_ac_wrapmsvc
++ export CC CXX
++ BUILD_WITH_MSVC=true
++ AC_MSG_RESULT([working])
++
++ # Robustness: we had multiple reports of Cygwin ''link'' getting in
++ # the way of MSVC link.exe, so do a little sanity check for that.
++ #
++ # FIXME: a better fix would be to call link.exe with full path from
++ # the wrapmsvc wrapper, to avoid any trouble with this -- I believe
++ # that should be possible, using the dirname of the full cl.exe path.
++ # 20050714 mortene.
++ sim_ac_check_link=`type link`
++ AC_MSG_CHECKING([whether Cygwin's /usr/bin/link shadows MSVC link.exe])
++ case x"$sim_ac_check_link" in
++ x"link is /usr/bin/link"* )
++ AC_MSG_RESULT(yes)
++ SIM_AC_ERROR([cygwin-link])
++ ;;
++ * )
++ AC_MSG_RESULT(no)
++ ;;
++ esac
++
++ else
+ AC_MSG_RESULT([not working])
+- SIM_AC_ERROR([no-msvc++]) ;;
+- *)
+- AC_MSG_RESULT([not working (as expected)])
+- ;;
+- esac
++ SIM_AC_ERROR([no-msvc++])
++ fi
++ else
++ AC_MSG_RESULT([not a cygwin host])
+ fi
+ fi
+ fi
+@@ -9159,6 +9165,7 @@
+ AC_MSG_WARN([--enable-exceptions only has effect when using GNU g++])
+ fi
+ fi
++ AC_DEFINE([USE_EXCEPTIONS], 1, [Define to make Coin use/catch exceptions at some particular places.])
+ fi
+ ])
+
+@@ -9374,12 +9381,7 @@
+ # warning level 3
+ SIM_AC_CC_COMPILER_OPTION([/W3], [sim_ac_compiler_CFLAGS="$sim_ac_compiler_CFLAGS /W3"])
+ SIM_AC_CXX_COMPILER_OPTION([/W3], [sim_ac_compiler_CXXFLAGS="$sim_ac_compiler_CXXFLAGS /W3"])
+-
+- if test ${sim_ac_msvc_version-0} -gt 6; then
+- # 64-bit porting warnings
+- SIM_AC_CC_COMPILER_OPTION([/Wp64], [sim_ac_compiler_CFLAGS="$sim_ac_compiler_CFLAGS /Wp64"])
+- SIM_AC_CXX_COMPILER_OPTION([/Wp64], [sim_ac_compiler_CXXFLAGS="$sim_ac_compiler_CXXFLAGS /Wp64"])
+- fi
++
+ ;;
+ esac
+ fi
+diff -r 4fcac12559f8 configure
+--- a/configure Tue Jun 02 13:03:34 2009 +0000
++++ b/configure Mon Jan 11 18:23:22 2010 +0100
+@@ -1817,33 +1817,42 @@
+ : ${BUILD_WITH_MSVC=false}
+ if $sim_ac_try_msvc; then
+ if test -z "$CC" -a -z "$CXX"; then
+- sim_ac_wrapmsvc=`cd $ac_aux_dir; pwd`/wrapmsvc.exe
+- echo "$as_me:$LINENO: sim_ac_wrapmsvc=$sim_ac_wrapmsvc" >&5
+ echo "$as_me:$LINENO: checking setup for wrapmsvc.exe" >&5
+ echo $ECHO_N "checking setup for wrapmsvc.exe... $ECHO_C" >&6
+- if $sim_ac_wrapmsvc >&5 2>&5; then
+-
+-
+- CC=$sim_ac_wrapmsvc
+- CXX=$sim_ac_wrapmsvc
+- export CC CXX
+- BUILD_WITH_MSVC=true
+- echo "$as_me:$LINENO: result: working" >&5
++ case $host in
++ *-cygwin)
++ valid_system=true
++ ;;
++ * )
++ valid_system=false
++ ;;
++ esac
++ if $valid_system; then
++ sim_ac_wrapmsvc=`cd $ac_aux_dir; pwd`/wrapmsvc.exe
++ echo "$as_me:$LINENO: sim_ac_wrapmsvc=$sim_ac_wrapmsvc" >&5
++ if $sim_ac_wrapmsvc >&5 2>&5; then
++
++
++ CC=$sim_ac_wrapmsvc
++ CXX=$sim_ac_wrapmsvc
++ export CC CXX
++ BUILD_WITH_MSVC=true
++ echo "$as_me:$LINENO: result: working" >&5
+ echo "${ECHO_T}working" >&6
+
+- # Robustness: we had multiple reports of Cygwin ''link'' getting in
+- # the way of MSVC link.exe, so do a little sanity check for that.
+- #
+- # FIXME: a better fix would be to call link.exe with full path from
+- # the wrapmsvc wrapper, to avoid any trouble with this -- I believe
+- # that should be possible, using the dirname of the full cl.exe path.
+- # 20050714 mortene.
+- sim_ac_check_link=`type link`
+- echo "$as_me:$LINENO: checking whether Cygwin's /usr/bin/link shadows MSVC link.exe" >&5
++ # Robustness: we had multiple reports of Cygwin ''link'' getting in
++ # the way of MSVC link.exe, so do a little sanity check for that.
++ #
++ # FIXME: a better fix would be to call link.exe with full path from
++ # the wrapmsvc wrapper, to avoid any trouble with this -- I believe
++ # that should be possible, using the dirname of the full cl.exe path.
++ # 20050714 mortene.
++ sim_ac_check_link=`type link`
++ echo "$as_me:$LINENO: checking whether Cygwin's /usr/bin/link shadows MSVC link.exe" >&5
+ echo $ECHO_N "checking whether Cygwin's /usr/bin/link shadows MSVC link.exe... $ECHO_C" >&6
+- case x"$sim_ac_check_link" in
+- x"link is /usr/bin/link"* )
+- echo "$as_me:$LINENO: result: yes" >&5
++ case x"$sim_ac_check_link" in
++ x"link is /usr/bin/link"* )
++ echo "$as_me:$LINENO: result: yes" >&5
+ echo "${ECHO_T}yes" >&6
+
+ echo >&2 ""
+@@ -1872,16 +1881,14 @@
+ echo "$as_me: error: aborting" >&2;}
+ { (exit 1); exit 1; }; }
+
+- ;;
+- * )
+- echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6
+- ;;
+- esac
+-
+- else
+- case $host in
+- *-cygwin)
++ ;;
++ * )
++ echo "$as_me:$LINENO: result: no" >&5
++echo "${ECHO_T}no" >&6
++ ;;
++ esac
++
++ else
+ echo "$as_me:$LINENO: result: not working" >&5
+ echo "${ECHO_T}not working" >&6
+
+@@ -1910,12 +1917,11 @@
+ { { echo "$as_me:$LINENO: error: aborting" >&5
+ echo "$as_me: error: aborting" >&2;}
+ { (exit 1); exit 1; }; }
+- ;;
+- *)
+- echo "$as_me:$LINENO: result: not working (as expected)" >&5
+-echo "${ECHO_T}not working (as expected)" >&6
+- ;;
+- esac
++
++ fi
++ else
++ echo "$as_me:$LINENO: result: not a cygwin host" >&5
++echo "${ECHO_T}not a cygwin host" >&6
+ fi
+ fi
+ fi
+@@ -5272,7 +5278,7 @@
+ ;;
+ *-*-irix6*)
+ # Find out which ABI we are using.
+- echo '#line 5275 "configure"' > conftest.$ac_ext
++ echo '#line 5281 "configure"' > conftest.$ac_ext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+@@ -6407,7 +6413,7 @@
+
+
+ # Provide some information about the compiler.
+-echo "$as_me:6410:" \
++echo "$as_me:6416:" \
+ "checking for Fortran 77 compiler version" >&5
+ ac_compiler=`set X $ac_compile; echo $2`
+ { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
+@@ -7470,11 +7476,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:7473: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:7479: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:7477: \$? = $ac_status" >&5
++ echo "$as_me:7483: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -7738,11 +7744,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:7741: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:7747: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:7745: \$? = $ac_status" >&5
++ echo "$as_me:7751: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -7842,11 +7848,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:7845: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:7851: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:7849: \$? = $ac_status" >&5
++ echo "$as_me:7855: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -10187,7 +10193,7 @@
+ lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+ lt_status=$lt_dlunknown
+ cat > conftest.$ac_ext <<EOF
+-#line 10190 "configure"
++#line 10196 "configure"
+ #include "confdefs.h"
+
+ #if HAVE_DLFCN_H
+@@ -10287,7 +10293,7 @@
+ lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+ lt_status=$lt_dlunknown
+ cat > conftest.$ac_ext <<EOF
+-#line 10290 "configure"
++#line 10296 "configure"
+ #include "confdefs.h"
+
+ #if HAVE_DLFCN_H
+@@ -12627,11 +12633,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:12630: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:12636: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:12634: \$? = $ac_status" >&5
++ echo "$as_me:12640: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -12731,11 +12737,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:12734: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:12740: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:12738: \$? = $ac_status" >&5
++ echo "$as_me:12744: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -14301,11 +14307,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:14304: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:14310: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:14308: \$? = $ac_status" >&5
++ echo "$as_me:14314: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -14405,11 +14411,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:14408: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:14414: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:14412: \$? = $ac_status" >&5
++ echo "$as_me:14418: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -16608,11 +16614,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:16611: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:16617: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:16615: \$? = $ac_status" >&5
++ echo "$as_me:16621: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -16876,11 +16882,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:16879: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:16885: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:16883: \$? = $ac_status" >&5
++ echo "$as_me:16889: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -16980,11 +16986,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:16983: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:16989: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:16987: \$? = $ac_status" >&5
++ echo "$as_me:16993: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -25638,6 +25644,11 @@
+ echo "$as_me: WARNING: --enable-exceptions only has effect when using GNU g++" >&2;}
+ fi
+ fi
++
++cat >>confdefs.h <<\_ACEOF
++#define USE_EXCEPTIONS 1
++_ACEOF
++
+ fi
+
+
+@@ -27886,161 +27897,6 @@
+
+
+
+- if test ${sim_ac_msvc_version-0} -gt 6; then
+- # 64-bit porting warnings
+-
+-
+-
+-ac_ext=c
+-ac_cpp='$CPP $CPPFLAGS'
+-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+-ac_compiler_gnu=$ac_cv_c_compiler_gnu
+-
+-echo "$as_me:$LINENO: checking whether $CC accepts /Wp64" >&5
+-echo $ECHO_N "checking whether $CC accepts /Wp64... $ECHO_C" >&6
+-
+-sim_ac_save_cppflags=$CPPFLAGS
+-CPPFLAGS="$CPPFLAGS /Wp64"
+-cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h. */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h. */
+-
+-int
+-main ()
+-{
+-
+- ;
+- return 0;
+-}
+-_ACEOF
+-rm -f conftest.$ac_objext
+-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+- (eval $ac_compile) 2>conftest.er1
+- ac_status=$?
+- grep -v '^ *+' conftest.er1 >conftest.err
+- rm -f conftest.er1
+- cat conftest.err >&5
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
+- || test ! -s conftest.err'
+- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+- (eval $ac_try) 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; } &&
+- { ac_try='test -s conftest.$ac_objext'
+- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+- (eval $ac_try) 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; }; then
+- sim_ac_accept_result=yes
+-else
+- echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-sim_ac_accept_result=no
+-fi
+-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+-echo "$as_me:$LINENO: result: $sim_ac_accept_result" >&5
+-echo "${ECHO_T}$sim_ac_accept_result" >&6
+-CPPFLAGS=$sim_ac_save_cppflags
+-# This need to go last, in case CPPFLAGS is modified in arg 2 or arg 3.
+-if test $sim_ac_accept_result = yes; then
+- sim_ac_compiler_CFLAGS="$sim_ac_compiler_CFLAGS /Wp64"
+-else
+- :
+-fi
+-
+-ac_ext=cc
+-ac_cpp='$CXXCPP $CPPFLAGS'
+-ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+-ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+-ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+-
+-
+-
+-
+-
+-ac_ext=cc
+-ac_cpp='$CXXCPP $CPPFLAGS'
+-ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+-ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+-ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+-
+-echo "$as_me:$LINENO: checking whether $CXX accepts /Wp64" >&5
+-echo $ECHO_N "checking whether $CXX accepts /Wp64... $ECHO_C" >&6
+-
+-sim_ac_save_cppflags=$CPPFLAGS
+-CPPFLAGS="$CPPFLAGS /Wp64"
+-cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h. */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h. */
+-
+-int
+-main ()
+-{
+-
+- ;
+- return 0;
+-}
+-_ACEOF
+-rm -f conftest.$ac_objext
+-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+- (eval $ac_compile) 2>conftest.er1
+- ac_status=$?
+- grep -v '^ *+' conftest.er1 >conftest.err
+- rm -f conftest.er1
+- cat conftest.err >&5
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } &&
+- { ac_try='test -z "$ac_cxx_werror_flag"
+- || test ! -s conftest.err'
+- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+- (eval $ac_try) 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; } &&
+- { ac_try='test -s conftest.$ac_objext'
+- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+- (eval $ac_try) 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; }; then
+- sim_ac_accept_result=yes
+-else
+- echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-sim_ac_accept_result=no
+-fi
+-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+-echo "$as_me:$LINENO: result: $sim_ac_accept_result" >&5
+-echo "${ECHO_T}$sim_ac_accept_result" >&6
+-CPPFLAGS=$sim_ac_save_cppflags
+-# This need to go last, in case CPPFLAGS is modified in arg 2 or arg 3.
+-if test $sim_ac_accept_result = yes; then
+- sim_ac_compiler_CXXFLAGS="$sim_ac_compiler_CXXFLAGS /Wp64"
+-else
+- :
+-fi
+-
+-ac_ext=cc
+-ac_cpp='$CXXCPP $CPPFLAGS'
+-ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+-ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+-ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+-
+-
+- fi
+ ;;
+ esac
+ fi
+diff -r 4fcac12559f8 src/discard.h.in
+--- a/src/discard.h.in Tue Jun 02 13:03:34 2009 +0000
++++ b/src/discard.h.in Mon Jan 11 18:23:22 2010 +0100
+@@ -480,6 +480,9 @@
+ /* Define to 1 if you have the ANSI C header files. */
+ #undef STDC_HEADERS
+
++/* Define to make Coin use/catch exceptions at some particular places. */
++#undef USE_EXCEPTIONS
++
+ /* define to use the POSIX threads API */
+ #undef USE_PTHREAD
+